/{organizationId}/crm/contacts/shared/sendMessageSend message to shared contacts
Send message to shared contacts
Required permissions:
mandate.read
dispatchDocument.insert
Path Parameters
organizationIdstringrequired Request Body required
Content-Type: application/json
mandateIdstringrequired Default: null
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/crm/contacts/shared/sendMessage' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"mandateId": "string",
"email": {
"subject": {
"de": "string",
"en": "string"
},
"message": {
"de": "string",
"en": "string"
},
"sendToAlternativeCommunications": true,
"replyTo": "string"
},
"letter": {
"sendColorPostal": true,
"sendWithCheaperMethod": true
},
"recipients": {
"searchTerm": "string",
"segments": [
"string"
],
"userFilter": {
"operator": "and",
"groups": [
{
"operator": "and",
"fields": [
{
"path": "string",
"comparator": "exists"
}
]
}
]
}
}
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Valueany Response
"string"400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}